LFR-FSW - Task #742

3.1.04
13/07/2016 04:02 PM - paul leroy

Status: Closed Start date: 13/07/2016
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision:

Description
__ fsw Changeset: 297 (b4928c7e1920)

extra printf removed
fsw Changeset: 296 (fbl6b781e584)

reaction wheels filtering updated
initialization of parameter_dump_packet updated with filtering elements

History

#1 - 19/08/2016 10:23 AM - Veronique bouzid
- Status changed from New to Closed

- Assignee set to Veronique bouzid

Installation du software le 19/08/2016
dans /opt/LFR/LFR-FSW/3.1.0.4
Adaptation des scripts pour utiliser cette version.

Voici donc le nouvel environnement de test

FSW 3.1.0.4

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.7.0, Branch = 0.6, Changeset = c459540a6dbd+
StarDundee

Lancement du script /home/validation/SCRIPT/just_hk_survey.py : OK

La premiere HK montre bien la bonne version du soft utilisé:
Installation du software le 12/02/2016

dans /opt/LFR/LFR-FSW/3.0.0.22

Adaptation des scripts pour utiliser cette version.

Voici donc le nouvel environnement de test

FSW 3.0.0.22

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

Lancement du script /home/validation/just_hk_survey.py : OK

La premiere HK montre bien la bonne version du soft utilisé:

0:17:40.641073, TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0, DATA_FIELD_HEADER_FLAG:
WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: HK_ROUTINE = 4, (PACKET_ID=0xcc4),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000),

19/04/2024 1/2




PACKET LENGTH=129, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE:
HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE: HK_PARAMETER_REPORT = 25, DESTINATION_ID:
GROUND = 0, TIME=0x8000000248be, PA_LFR_HK_REPORT _SID: LFR_HK_SID = 1, HK_LFR_MODE: STANDBY = 0,
HK_LFR_DPU_SPW_ENABLED: ENABLED = 1, HK_LFR_DPU_SPW_LINK_STATE: RUN = 5, SPARE=0x0, HK_LFR_SC_POTENTIEL_FLAG: ON
=1, HK_LFR_PAS_FILTER_ENABLED: DISABLED = 0, SY_LFR_WATCHDOG_ENABLED: ENABLED = 1, HK_LFR_CALIB_ENABLED:
DISABLED = 0, HK_LFR_RESET_CAUSE: POWER ON = 1, SY_LFR_SW_VERSION_N1=3, SY_LFR_SW_VERSION_N2=1,
SY_LFR_SW_VERSION_N3=0, SY_LFR_SW_VERSION_N4=4, SY LFR_FPGA VERSION N1=1, SY LFR FPGA_VERSION N2-1,
SY_LFR_FPGA_VERSION_N3=89,

Les fichiers (2016_08_19-10_18_08*) sont rangés dans /home/validation/data/3.1.0.4/TESTS-UNITAIRES/just_hk

Files
README 20.1 KB 13/07/2016 paul leroy
fsw-3-0-1-4 4.09 MB 13/07/2016 paul leroy
